# Onlyfunction PubSub

### Installation

Add dependency in your `package.json` file
```json
{
  "dependencies": {
    "only-pubsub": "latest"
  }
}
```

## Kafka

```javascript
const { Kafka } = require('only-pubsub')

const pubsub = new Kafka({
  key: 'mykafka', // addon key
})

// publish message
pubsub.publish({
  topic: 'mytopic',
  key: 'say',
  message: 'Hello world',
})
```

## RabbitMQ

```javascript
const { RabbitMQ } = require('only-pubsub')

const pubsub = new RabbitMQ({
  key: 'myrabbit', // addon key
})

// publish message
pubsub.publish({
  topic: 'mytopic',
  message: 'Hello world'
})
```